## python-spectra 0.1.0

=== requirements.txt ===
colormath2>=3.0.0

## python-spectra 0.0.11

=== debian/changelog ===
python-spectra (0.0.11-4) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Python Team
  * Point Homepage field to Github

 -- Andreas Tille <tille@debian.org>  Mon, 03 Jan 2022 10:38:52 +0100

python-spectra (0.0.11-3) unstable; urgency=medium

  * Switch from pytest -> nose
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 25 Oct 2021 03:04:40 +0530

python-spectra (0.0.11-2) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Update my email

  [ Nilesh Patra ]
  * Add autopkgtests
  * Add upstream/metadata
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Add myself to uploaders

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 01 Sep 2020 18:30:39 +0530

python-spectra (0.0.11-1) unstable; urgency=medium

  * Initial release. (Closes: #903730)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Fri, 13 Jul 2018 21:54:38 +0200

=== debian/control ===
Source: python-spectra
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>, Nilesh Patra <nilesh@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-colormath,
               python3-pytest
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-spectra
Vcs-Git: https://salsa.debian.org/python-team/packages/python-spectra.git
Homepage: https://github.com/jsvine/spectra
Rules-Requires-Root: no

Package: python3-spectra
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Easy color scales and color conversion for Python (Python 3 version)
 Spectra is a Python library that makes color math, color scales, and
 color-space conversion easy. Support for: Color scales, Color ranges, Color
 blending, Brightening/darkening colors, Saturating/desaturating colors,
 Conversion to/from multiple color spaces.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=spectra

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-spectra 0.1.0

=== debian/changelog ===
python-spectra (0.1.0-1) unstable; urgency=medium

  * New upstream version 0.1.0
  * Drop patch included in upstream release
  * Patch to still use colormath instead of colormath2
  * Fix DEP3 header
  * Call py3versions with --supported instead of --requested
      as suggested by lintian
  * Bump Standards-Version to 4.7.1 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 21 Feb 2025 10:46:02 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-setuptools,
                python3-colormath,
                python3-pytest
-Standards-Version: 4.6.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-spectra
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-spectra.git
 Homepage: https://github.com/jsvine/spectra

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
  https://pypi.debian.net/spectra/spectra-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
